[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'EditBtn' (#lcl)

# TDateEdit.DoDateRangeCheck

Signals the OnDateRangeCheck event handler (when assigned).

## Declaration

Source position: editbtn.pas line 635

`protected procedure TDateEdit.DoDateRangeCheck(`
`var ADate: TDateTime`
`);`

## Arguments

`ADate` |  | Date value for the event notification.

## Description

DoDateRangeCheck is called when a date value is validated and range checked for its lower and upper limits. It is called prior to validation of the date value, and allows the OnDateRangeCheck event handler to perform any actions needed for the control. DoDateRangeCheck occurs when a new value is assigned to either the MinDate or MaxDate property, and when ButtonClick is called to display the pop-up calendar dialog for the control.

## See also

TDateEdit.Date |  | Contains the TDateTime value for the control.
TDateEdit.MinDate |  | Smallest date value allowed in the date edit control.
TDateEdit.MaxDate |  | Largest date value allowed in the date edit control.
TDateEdit.ButtonClick |  | Displays a pop-up calendar dialog when the Button for the grouped edit control is clicked.
TDateEdit.OnDateRangeCheck |  | Event handler signalled prior to validating and range checking a date value.